This section describes how to change the background of a chart.
Background Fill Copy Link
To change the colour of the chart background, simply provide a colour string value for the background.fill property.
{
background: {
fill: 'rgb(63, 127, 255)',
},
}import { Component } from "@angular/core";
import { AgCharts } from "ag-charts-angular";
import {
AgPolarChartOptions,
LegendModule,
ModuleRegistry,
PieSeriesModule,
} from "ag-charts-community";
import { getData } from "./data";
import { random } from "./seededRandom";
import clone from "clone";
function randomChannel() {
return Math.floor(random() * 256);
}
ModuleRegistry.registerModules([LegendModule, PieSeriesModule]);
@Component({
selector: "my-app",
standalone: true,
imports: [AgCharts],
template: `<div class="example-controls">
<div class="controls-row">
<button (click)="randomColor()">🍭 Random color</button>
</div>
</div>
<ag-charts
[options]="options"
></ag-charts>
`,
})
export class AppComponent {
public options;
constructor() {
this.options = {
data: getData(),
series: [
{
type: "pie",
angleKey: "value",
},
],
background: {
fill: "aliceblue",
},
};
}
randomColor = () => {
const options = clone(this.options);
const color = `rgb(${randomChannel()}, ${randomChannel()}, ${randomChannel()})`;
options.background = {
fill: color,
};
this.options = options;
};
}
export function getData() {
return [
{ value: 56.9 },
{ value: 22.5 },
{ value: 6.8 },
{ value: 8.5 },
{ value: 2.6 },
{ value: 1.9 },
];
}
export function createSeededRandom(seed = 42): () => number {
let state = seed;
return () => {
state = (state * 16807) % 2147483647;
return (state - 1) / 2147483646;
};
}
export const random = createSeededRandom();
// Angular entry point file
import '@angular/compiler';
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent);
To set the background of chart elements see Fills & Borders.
API Reference Copy Link
Properties available on the AgChartBackground interface.
- visible
boolean - Whether the background should be visible.
- fill
CssColor - Colour of the chart background.
Properties available on the AgChartBackground interface.
- visible
boolean - Whether the background should be visible.
- fill
CssColor - Colour of the chart background.

This section describes how to change the background of a chart.
Background Fill Copy Link
To change the colour of the chart background, simply provide a colour string value for the background.fill property.
{
background: {
fill: 'rgb(63, 127, 255)',
},
}import { createApp, defineComponent, ref } from "vue";
import { AgCharts } from "ag-charts-vue3";
import type { AgChartOptions } from "ag-charts-types";
import {
LegendModule,
ModuleRegistry,
PieSeriesModule,
} from "ag-charts-community";
import { getData } from "./data";
import { random } from "./seededRandom";
import clone from "clone";
function randomChannel() {
return Math.floor(random() * 256);
}
ModuleRegistry.registerModules([LegendModule, PieSeriesModule]);
const ChartExample = defineComponent({
template: `
<div class="example-controls">
<div class="controls-row">
<button v-on:click="randomColor()">🍭 Random color</button>
</div>
</div>
<ag-charts
:options="options"
/>
`,
components: {
"ag-charts": AgCharts,
},
setup(props) {
const options = ref<AgPolarChartOptions>({
data: getData(),
series: [
{
type: "pie",
angleKey: "value",
},
],
background: {
fill: "aliceblue",
},
});
const randomColor = () => {
const optionsCopy = clone(options.value);
const color = `rgb(${randomChannel()}, ${randomChannel()}, ${randomChannel()})`;
optionsCopy.background = {
fill: color,
};
options.value = optionsCopy;
};
return {
options,
randomColor,
};
},
});
createApp(ChartExample).mount("#app");
export function getData() {
return [
{ value: 56.9 },
{ value: 22.5 },
{ value: 6.8 },
{ value: 8.5 },
{ value: 2.6 },
{ value: 1.9 },
];
}
export function createSeededRandom(seed = 42): () => number {
let state = seed;
return () => {
state = (state * 16807) % 2147483647;
return (state - 1) / 2147483646;
};
}
export const random = createSeededRandom();
To set the background of chart elements see Fills & Borders.
API Reference Copy Link
Properties available on the AgChartBackground interface.
- visible
boolean - Whether the background should be visible.
- fill
CssColor - Colour of the chart background.
Properties available on the AgChartBackground interface.
- visible
boolean - Whether the background should be visible.
- fill
CssColor - Colour of the chart background.

This section describes how to change the background of a chart.
Background Fill Copy Link
To change the colour of the chart background, simply provide a colour string value for the background.fill property.
{
background: {
fill: 'rgb(63, 127, 255)',
},
}import React, { useState, Fragment } from "react";
import { createRoot } from "react-dom/client";
import { AgCharts } from "ag-charts-react";
import {
AgPolarChartOptions,
LegendModule,
ModuleRegistry,
PieSeriesModule,
} from "ag-charts-community";
import { getData } from "./data";
import { random } from "./seededRandom";
import clone from "clone";
function randomChannel() {
return Math.floor(random() * 256);
}
ModuleRegistry.registerModules([LegendModule, PieSeriesModule]);
const ChartExample = () => {
const [options, setOptions] = useState<AgPolarChartOptions>({
data: getData(),
series: [
{
type: "pie",
angleKey: "value",
},
],
background: {
fill: "aliceblue",
},
});
const randomColor = () => {
const nextOptions = clone(options);
const color = `rgb(${randomChannel()}, ${randomChannel()}, ${randomChannel()})`;
nextOptions.background = {
fill: color,
};
setOptions(nextOptions);
};
return (
<Fragment>
<div className="example-controls">
<div className="controls-row">
<button onClick={randomColor}>🍭 Random color</button>
</div>
</div>
<AgCharts options={options} />
</Fragment>
);
};
const root = createRoot(document.getElementById("root")!);
root.render(<ChartExample />);
export function getData() {
return [
{ value: 56.9 },
{ value: 22.5 },
{ value: 6.8 },
{ value: 8.5 },
{ value: 2.6 },
{ value: 1.9 },
];
}
export function createSeededRandom(seed = 42): () => number {
let state = seed;
return () => {
state = (state * 16807) % 2147483647;
return (state - 1) / 2147483646;
};
}
export const random = createSeededRandom();
To set the background of chart elements see Fills & Borders.
API Reference Copy Link
Properties available on the AgChartBackground interface.
- visible
boolean - Whether the background should be visible.
- fill
CssColor - Colour of the chart background.
Properties available on the AgChartBackground interface.
- visible
boolean - Whether the background should be visible.
- fill
CssColor - Colour of the chart background.